FreeBSD VuXML: Documenting security issues in FreeBSD and the FreeBSD Ports Collection

gtk-vnc -- bounds checking vulnabilities

Affected packages
gtk-vnc < 0.7.0

Details

VuXML ID 79bbb8f8-f049-11e6-8a6a-bcaec565249c
Discovery 2017-02-09
Entry 2017-02-11

Daniel P. Berrange reports:

CVE-2017-5884 - fix bounds checking for RRE, hextile and copyrect encodings

CVE-2017-5885 - fix color map index bounds checking.

References

CVE Name CVE-2017-5884
CVE Name CVE-2017-5885
URL https://mail.gnome.org/archives/ftp-release-list/2017-February/msg00015.html